"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ECRClient_1 = require("./ECRClient");
const BatchCheckLayerAvailabilityCommand_1 = require("./commands/BatchCheckLayerAvailabilityCommand");
const BatchDeleteImageCommand_1 = require("./commands/BatchDeleteImageCommand");
const BatchGetImageCommand_1 = require("./commands/BatchGetImageCommand");
const CompleteLayerUploadCommand_1 = require("./commands/CompleteLayerUploadCommand");
const CreateRepositoryCommand_1 = require("./commands/CreateRepositoryCommand");
const DeleteLifecyclePolicyCommand_1 = require("./commands/DeleteLifecyclePolicyCommand");
const DeleteRepositoryCommand_1 = require("./commands/DeleteRepositoryCommand");
const DeleteRepositoryPolicyCommand_1 = require("./commands/DeleteRepositoryPolicyCommand");
const DescribeImagesCommand_1 = require("./commands/DescribeImagesCommand");
const DescribeRepositoriesCommand_1 = require("./commands/DescribeRepositoriesCommand");
const GetAuthorizationTokenCommand_1 = require("./commands/GetAuthorizationTokenCommand");
const GetDownloadUrlForLayerCommand_1 = require("./commands/GetDownloadUrlForLayerCommand");
const GetLifecyclePolicyCommand_1 = require("./commands/GetLifecyclePolicyCommand");
const GetLifecyclePolicyPreviewCommand_1 = require("./commands/GetLifecyclePolicyPreviewCommand");
const GetRepositoryPolicyCommand_1 = require("./commands/GetRepositoryPolicyCommand");
const InitiateLayerUploadCommand_1 = require("./commands/InitiateLayerUploadCommand");
const ListImagesCommand_1 = require("./commands/ListImagesCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const PutImageCommand_1 = require("./commands/PutImageCommand");
const PutImageTagMutabilityCommand_1 = require("./commands/PutImageTagMutabilityCommand");
const PutLifecyclePolicyCommand_1 = require("./commands/PutLifecyclePolicyCommand");
const SetRepositoryPolicyCommand_1 = require("./commands/SetRepositoryPolicyCommand");
const StartLifecyclePolicyPreviewCommand_1 = require("./commands/StartLifecyclePolicyPreviewCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UploadLayerPartCommand_1 = require("./commands/UploadLayerPartCommand");
class ECR extends ECRClient_1.ECRClient {
    batchCheckLayerAvailability(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BatchCheckLayerAvailabilityCommand_1.BatchCheckLayerAvailabilityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    batchDeleteImage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BatchDeleteImageCommand_1.BatchDeleteImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    batchGetImage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BatchGetImageCommand_1.BatchGetImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    completeLayerUpload(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CompleteLayerUploadCommand_1.CompleteLayerUploadCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createRepository(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateRepositoryCommand_1.CreateRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteLifecyclePolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteLifecyclePolicyCommand_1.DeleteLifecyclePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRepository(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRepositoryCommand_1.DeleteRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRepositoryPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRepositoryPolicyCommand_1.DeleteRepositoryPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeImages(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeImagesCommand_1.DescribeImagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeRepositories(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeRepositoriesCommand_1.DescribeRepositoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAuthorizationToken(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAuthorizationTokenCommand_1.GetAuthorizationTokenCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDownloadUrlForLayer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDownloadUrlForLayerCommand_1.GetDownloadUrlForLayerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getLifecyclePolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetLifecyclePolicyCommand_1.GetLifecyclePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getLifecyclePolicyPreview(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetLifecyclePolicyPreviewCommand_1.GetLifecyclePolicyPreviewCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRepositoryPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRepositoryPolicyCommand_1.GetRepositoryPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    initiateLayerUpload(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new InitiateLayerUploadCommand_1.InitiateLayerUploadCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listImages(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListImagesCommand_1.ListImagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTagsForResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putImage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutImageCommand_1.PutImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putImageTagMutability(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutImageTagMutabilityCommand_1.PutImageTagMutabilityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putLifecyclePolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutLifecyclePolicyCommand_1.PutLifecyclePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    setRepositoryPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SetRepositoryPolicyCommand_1.SetRepositoryPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startLifecyclePolicyPreview(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartLifecyclePolicyPreviewCommand_1.StartLifecyclePolicyPreviewCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    uploadLayerPart(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UploadLayerPartCommand_1.UploadLayerPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ECR = ECR;
//# sourceMappingURL=ECR.js.map