"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const BatchDeleteImage_1 = require("../model/operations/BatchDeleteImage");
class BatchDeleteImageCommand {
    constructor(input) {
        this.input = input;
        this.model = BatchDeleteImage_1.BatchDeleteImage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.BatchDeleteImageCommand = BatchDeleteImageCommand;
//# sourceMappingURL=BatchDeleteImageCommand.js.map