"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CompleteLayerUpload_1 = require("../model/operations/CompleteLayerUpload");
class CompleteLayerUploadCommand {
    constructor(input) {
        this.input = input;
        this.model = CompleteLayerUpload_1.CompleteLayerUpload;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CompleteLayerUploadCommand = CompleteLayerUploadCommand;
//# sourceMappingURL=CompleteLayerUploadCommand.js.map