"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteRepositoryPolicy_1 = require("../model/operations/DeleteRepositoryPolicy");
class DeleteRepositoryPolicyCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteRepositoryPolicy_1.DeleteRepositoryPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteRepositoryPolicyCommand = DeleteRepositoryPolicyCommand;
//# sourceMappingURL=DeleteRepositoryPolicyCommand.js.map