"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetLifecyclePolicyPreview_1 = require("../model/operations/GetLifecyclePolicyPreview");
class GetLifecyclePolicyPreviewCommand {
    constructor(input) {
        this.input = input;
        this.model = GetLifecyclePolicyPreview_1.GetLifecyclePolicyPreview;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetLifecyclePolicyPreviewCommand = GetLifecyclePolicyPreviewCommand;
//# sourceMappingURL=GetLifecyclePolicyPreviewCommand.js.map