"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutImageTagMutability_1 = require("../model/operations/PutImageTagMutability");
class PutImageTagMutabilityCommand {
    constructor(input) {
        this.input = input;
        this.model = PutImageTagMutability_1.PutImageTagMutability;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutImageTagMutabilityCommand = PutImageTagMutabilityCommand;
//# sourceMappingURL=PutImageTagMutabilityCommand.js.map