"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UploadLayerPart_1 = require("../model/operations/UploadLayerPart");
class UploadLayerPartCommand {
    constructor(input) {
        this.input = input;
        this.model = UploadLayerPart_1.UploadLayerPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UploadLayerPartCommand = UploadLayerPartCommand;
//# sourceMappingURL=UploadLayerPartCommand.js.map