"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CompleteLayerUploadInput_1 = require("../shapes/CompleteLayerUploadInput");
const CompleteLayerUploadOutput_1 = require("../shapes/CompleteLayerUploadOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const UploadNotFoundException_1 = require("../shapes/UploadNotFoundException");
const InvalidLayerException_1 = require("../shapes/InvalidLayerException");
const LayerPartTooSmallException_1 = require("../shapes/LayerPartTooSmallException");
const LayerAlreadyExistsException_1 = require("../shapes/LayerAlreadyExistsException");
const EmptyUploadException_1 = require("../shapes/EmptyUploadException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CompleteLayerUpload = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CompleteLayerUpload",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CompleteLayerUploadInput_1.CompleteLayerUploadInput
    },
    output: {
        shape: CompleteLayerUploadOutput_1.CompleteLayerUploadOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: UploadNotFoundException_1.UploadNotFoundException
        },
        {
            shape: InvalidLayerException_1.InvalidLayerException
        },
        {
            shape: LayerPartTooSmallException_1.LayerPartTooSmallException
        },
        {
            shape: LayerAlreadyExistsException_1.LayerAlreadyExistsException
        },
        {
            shape: EmptyUploadException_1.EmptyUploadException
        }
    ]
};
//# sourceMappingURL=CompleteLayerUpload.js.map