"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateRepositoryInput_1 = require("../shapes/CreateRepositoryInput");
const CreateRepositoryOutput_1 = require("../shapes/CreateRepositoryOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const InvalidTagParameterException_1 = require("../shapes/InvalidTagParameterException");
const TooManyTagsException_1 = require("../shapes/TooManyTagsException");
const RepositoryAlreadyExistsException_1 = require("../shapes/RepositoryAlreadyExistsException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRepository = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRepository",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateRepositoryInput_1.CreateRepositoryInput
    },
    output: {
        shape: CreateRepositoryOutput_1.CreateRepositoryOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidTagParameterException_1.InvalidTagParameterException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: RepositoryAlreadyExistsException_1.RepositoryAlreadyExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateRepository.js.map