"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UntagResourceInput_1 = require("../shapes/UntagResourceInput");
const UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const InvalidTagParameterException_1 = require("../shapes/InvalidTagParameterException");
const TooManyTagsException_1 = require("../shapes/TooManyTagsException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServerException_1 = require("../shapes/ServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidTagParameterException_1.InvalidTagParameterException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map