import { NodeHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * CompleteLayerUploadInput shape
 */
export interface CompleteLayerUploadInput {
    /**
     * <p>The AWS account ID associated with the registry to which to upload layers. If you do not specify a registry, the default registry is assumed.</p>
     */
    registryId?: string;
    /**
     * <p>The name of the repository to associate with the image layer.</p>
     */
    repositoryName: string;
    /**
     * <p>The upload ID from a previous <a>InitiateLayerUpload</a> operation to associate with the image layer.</p>
     */
    uploadId: string;
    /**
     * <p>The <code>sha256</code> digest of the image layer.</p>
     */
    layerDigests: Array<string> | Iterable<string>;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
